# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name kde_servicemenu_DoAsRoot
%define summary Run As Root for Service Menus
%define version 1.0.0
%define release %mkrel 1

Name: 		%{name} 
Summary:	%{summary} 
Version: 	%{version} 
Release: 	%{release} 
Vendor:		%{vendor} 
Url:		http://www.kde-apps.org/content/show.php?content=11227
Group:		Graphical desktop/KDE
License:	GPL 

Source0:        DoAsRoot-%{version}.tar.bz2

Provides: RunAsRoot
Obsoletes: RunAsRoot

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 

 
%description  
Makes Administrating KDE Easier

Run As SU - makes installing downloaded software (ex game demos ETC.) easier. Allowes you to run an executable as root with only a click.

Open As SU - allows you to open a Konqueror file manager window in any directory with only a click.

Edit As SU - Edit a text file in kwrite as root.

%prep
rm -rf ${RPM_BUILD_ROOT} 
%setup -q -n DoAsRoot-%{version}

%install
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/
mv * ${RPM_BUILD_ROOT}%{_datadir}/apps/konqueror/servicemenus/

%clean  
rm -rf ${RPM_BUILD_ROOT} 
 
%files   
%defattr(0755,root,root)
%{_datadir}/apps/konqueror/servicemenus/*

 
%changelog  
* Thu Oct 18 2007 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1mcnl2008.0
- Mandriva 2008.0 rebuild

* Sat Apr 21 2007 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1mcnl2007.1
- Mandriva 2007.1 rebuild

* Sun Oct 26 2006 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-2.2007mcnl
- changed the group

* Sun Oct 23 2006 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1.2007mcnl
- Mandriva 2007 rebuild

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1.2006mcnl
- Mandriva 2006 rebuild

* Tue Jun 07 2005 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1.102mcnl
- Mandriva LE2005 rebuild

* Sat Oct 17 2004 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-2mcnl
- included edit as root.
- http://www.kde-apps.org/content/show.php?content=11998
- renamed RunasRoot to DoAsRoot

* Wed Jun 30 2004 Marco Meijer <marco@mandrivaclub.nl> 1.0.0-1mcnl
- special mandrakeclub.nl build
- http://www.kde-apps.org/content/show.php?content=11227
